Subject: [quicwg/base-drafts] Ben Kaduk's QPACK Comment 2 (#4792)

From: Lucas Pardue <[email-masked]>
Date: Thu, 21 Jan 2021 06:19:22 -0800

@kaduk said

> Section 7.1.2
>
> The mitigation technique of segregating the dynamic table by entity
> constructing the message seems to inherently require the encoder to have
> direct knowledge of the entity on whose behalf it is constructing a
> message.  For the other mitigation technique we present (of always using
> string literals for sensitive values), we include the 'N' bit to allow
> this attribute to be propagated through intermediaries.  However, I
> think that in scenarios where multiple intermediaries are involved, in
> the later steps in the intermediary chain the encoder will not
> necessarily have knowledge of which entity created a given message, and
> thus could inadvertently merge compression contexts that the original
> encoder had specifically kept separate.  The preconditions necessary for
> this to enable an attack seem rare, with one of the originating entities
> having access to observe the transport layer in a location several hops
> removed, so it doesn't really seem worth attempting to add a technical
> mitigation.  It would probably be worth documenting the risk, though.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4792

---

From: Mike Bishop <[email-masked]>
Date: Fri, 22 Jan 2021 13:14:48 -0800

I agree it's not worth mitigating technically.  I question whether it's worth documenting, personally, but it does no harm.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4792#issuecomment-765687627

---

From: afrind <[email-masked]>
Date: Mon, 25 Jan 2021 15:53:51 -0800

Maybe just a sentence that this mitigation has limits when traversing multiple intermediaries?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4792#issuecomment-767187895

---

From: kaduk <[email-masked]>
Date: Mon, 25 Jan 2021 15:58:35 -0800

> Maybe just a sentence that this mitigation has limits when traversing multiple intermediaries?

That seems like it would strike a reasonable balance.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4792#issuecomment-767189451

---

From: afrind <[email-masked]>
Date: Tue, 26 Jan 2021 15:38:05 -0800

Closed #4792 via #4815.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4792#event-4253227665